Порт редактора уровней DoomEd для Linux, решение проблемы 2038 года в новых версиях ядра и другие новости


 Alex    30 янв 2020 : 17:39

Подборка новостей за 30 января 2020 года

Спустя 27 лет после создания официального редактора уровней для игры Doom компанией id Software, независимый разработчик создал его порт для платформ Linux и macOS X. Приложение DoomEd было разработано Джоном Кармаком и Джоном Ромеро в 1993 году и предназначалось для создания уровней оригинальных игр серии Doom. В 2015 году Джон Ромеро выложил в публичный доступ сохранившиеся у него исходные коды данного редактора, которые и легли в основу порта. Порт распространяется под именем ReDoomEd, требует для своего запуска GNUStep и имеет неизвестную лицензию. Сборки и исходные коды размещены на сайте разработчика.

Разработчик компании Red Hat Маттиас Классен написал о работах, которые ведутся в рамках процесса подготовки релиза новой версии тулкита GTK 4.0. Так, на данный момент разработчики занимаются переработкой интерфейсов копирования/вставки и переноса данных. "В GTK4 API Drag-and-Drop было реорганизовано в соответствии с концепциями провайдеров контента и контроллеров событий. Для инициирования операции переноса данных вам придется создать контроллер событий GtkDragSource, который будет реагировать на жесты переноса данных (вы также можете самостоятельно инициировать операцию переноса данных, вызвав gdk_drag_begin), и предоставить объект GdkContentProvider для передачи данных." Дополнительная информация доступна в блоге разработчиков GTK.

Ресурс Phoronix сообщает, что версия ядра Linux 5.6 будет содержать исправления, позволяющие устанавливать даты позднее 19 января 2038 года на 32-битных системах. Дело в том, что в течение многих лет разработчики работали над решением проблемы, заключающейся в том, что используемые для хранения метки времени Unix в ряде подсистем ядра знаковые целочисленные переменные не позволяли хранить значения, соотвествующие временам после указанной даты на 32-битных системах. Теперь, когда битность этих переменных повышена, для корректной работы приложений необходимо использовать новые версии библиотек GNU C Library 2.32 и Musl libc 1.2. Технические подробности доступны по данной ссылке.








Этот новостной материал предоставлен Linux FAQ
https://linux-faq.ru/news/port-redaktora-urovnej-doomed-dlya-linux-reshenie-problemy-2038-goda-v-novyh-versiyah-yadra.html